<?php
/*
//(C) OXID-Design 2017
//
// The source contained in this file is the property of the OXID-Design
// (Leipziger Allee 36, 76139 Karlsruhe, Germany, www.oxid-design.com).
//
// GNU GENERAL PUBLIC LICENSE
//
//This program is free software;
//you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation;
//either version 3 of the License, or (at your option) any later version.
//
//This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
// You should have received a copy of the GNU General Public License along with this program; if not, see <http://www.gnu.org/licenses/>
*/
$sMetadataVersion = '1.0';
$aModule = array(
    'id' => 'OD-NewsCoupon',
    'title' => '<img src=' . oxRegistry::getConfig()->getShopUrl() . 'modules/OXID-Design/OD-NewsCoupon/out/img/favicon.ico alt="OXID-Design" title="OXID-Design Projects"> Newsletter Gutscheincode',
    'type' => 'modules',
    'paid' => 'free',
    'description' => array(
        'de' => 'Kunden können Gutscheinnummer mehrmals benutzen',
        'en' => 'Customers can use the same coupon code several times',
    ),
    'thumbnail' => '/out/img/logo.png',
    'version' => '1.2',
    'author' => 'Rafig',
    'url' => 'https://www.oxid-design.com',
    'email' => 'support@oxid-design.com',
    'extend' => array(
        'oxviewconfig' => 'OXID-Design/OD-NewsCoupon/core/od_news_coupon_set',
        'oxvoucher' => 'OXID-Design/OD-NewsCoupon/models/od_news_coupon'
    ),
    'files' => array(),
    'templates' => array(),
    'events' => array(
        'onActivate' => 'od_news_coupon_set::onActivate',
        'onDeactivate' => 'od_news_coupon_set::onDeactivate'
    ),
    'settings' => array(
        array(
            'group' => 'NewsCoupon',
            'name' => 'hideOtherCouponFields',
            'type' => 'bool',
            'value' => 'true'
        ),
    ),
    'blocks' => array(
        array(
            'template' => 'voucherserie_main.tpl',
            'block' => 'admin_voucherserie_main_form',
            'file' => '/views/admin/blocks/od_news_coupon.tpl'
        ),
        array(
            'template' => 'voucherserie_main.tpl',
            'block' => 'admin_voucherserie_main_genvoucher',
            'file' => '/views/admin/blocks/od_news_coupon_set.tpl'
        ),
    )
);
